## hkl-axis-private

hkl-axis-private

## Functions

HklParameter * | hkl_parameter_new_rotation ()
HklParameter * | hkl_parameter_new_rotation_with_origin ()
HklParameter * | hkl_parameter_new_translation ()

## Types and Values

struct | HklAxis
struct | HklRotationWithOrigin
struct | HklTranslation

## Description

## Functions

### hkl_parameter_new_rotation ()

    HklParameter *
    hkl_parameter_new_rotation (const char *name,
                                HklVector const *axis_v,
                                const HklUnit *punit);

### hkl_parameter_new_rotation_with_origin ()

    HklParameter *
    hkl_parameter_new_rotation_with_origin
                                   (const char *name,
                                    const HklVector *axis_v,
                                    const HklVector *origin,
                                    const HklUnit *punit);

### hkl_parameter_new_translation ()

    HklParameter *
    hkl_parameter_new_translation (const char *name,
                                   const HklVector *axis_v,
                                   const HklUnit *punit);

## Types and Values

### struct HklAxis

    struct HklAxis {
    	HklParameter parameter;
    	HklVector axis_v;
    	HklQuaternion q; /* internal */
    };

### struct HklRotationWithOrigin

    struct HklRotationWithOrigin {
    	HklAxis axis;
    	HklVector origin;
    };

### struct HklTranslation

    struct HklTranslation {
    	HklParameter parameter;
    	HklVector axis_v;
    };